How can we help?

What Android and iOS versions does the Khan Academy app support?

Updated

We aim to provide a quality learning experience for as many people as we can. Our small team does our best to support older operating systems (OS), especially if there are large numbers of learners on those older versions— or if we anticipate that learners’ devices aren’t compatible with newer OS updates. 

However, every additional OS version means that weird bugs can appear, and it increases the number and variety of bugs that we have to watch out for. By removing support for older operating systems that are infrequently used by our user community, we free up our small team to improve the overall quality and build new features.

In order to provide our users with the best experience at Khan Academy, starting with the release of version 7.0.0, the Khan Academy app supports:

  • Android 4.4 (KitKat) and newer
  •  iOS 12 and newer

Subsequently, the Khan Academy app no longer supports previous Android or iOS versions.

If you're the owner of a device running Android 4.3 (Jelly Bean)/iOS 11 or older, we advise you to update to a newer one. If possible, the latest Android or iOS version available. 

Nonetheless, if your device cannot be updated to a newer version, you can still enjoy the full Khan Academy experience! To do so, access the Khan Academy website through your device’s browser. To know which browsers we support, check out this article.